package com.itjob.jdbc;

import javax.sql.RowSet;
import com.sun.rowset.JdbcRowSetImpl;

/**
 * 第6章 JDBC编程
 * 考题：编写一个测试类，该类使用JdbcRowSet的实现类查询Student表的所有数据，并打印出name字段
 * @author AmigoXie
 */
public class JdbcRowSetTest {

	public static void main(String[] args) throws Exception{
		Class.forName("com.mysql.jdbc.Driver");
		RowSet rs = new JdbcRowSetImpl();
		rs.setUrl("jdbc:mysql://localhost:3306/test");
		rs.setUsername("root");
		rs.setPassword("root123");
		rs.setCommand("SELECT * FROM Student");
		rs.execute();
		while (rs.next()) {
			System.out.println(rs.getString("name"));
		}
		rs.close();
	}
}
